Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.pan.tech/llms.txt

Use this file to discover all available pages before exploring further.

Fondea una wallet con tokens de testnet para pruebas.
Solo funciona en testnet. No disponible en produccion.

Endpoint

POST https://api.pan.tech/v1/demo/fund

Autenticación

API Key

Request

{
  "walletId": "pan_wallet_abc123"
}

Parámetros

CampoTipoRequeridoDescripción
walletIdstringSiID de la wallet pan
La cantidad y chain son fijos: 1 USDC en arbitrum-sepolia. Esto es para evitar abuso del faucet.

Response

200 OK

{
  "success": true,
  "walletId": "pan_wallet_abc123",
  "amount": 1,
  "chain": "arbitrum-sepolia",
  "asset": "USDC",
  "txHash": "0x123abc...",
  "explorerUrl": "https://sepolia.arbiscan.io/tx/0x123abc..."
}

Campos de Respuesta

CampoTipoDescripción
successbooleanSiempre true si exitoso
walletIdstringID de la wallet fondeada
amountnumberCantidad enviada (1 USDC)
chainstringChain usada (arbitrum-sepolia)
assetstringToken enviado (USDC)
txHashstringHash de la transacción
explorerUrlstringLink al block explorer

Errores

CódigoErrorDescripción
401UNAUTHORIZEDAPI key inválida
404WALLET_NOT_FOUNDWallet no existe
429RATE_LIMITEDEspera 60 segundos entre requests
500FUNDING_FAILEDError al enviar fondos

Ejemplos

curl -X POST https://api.pan.tech/v1/demo/fund \
  -H "Authorization: Bearer $PAN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "walletId": "pan_wallet_abc123"
  }'

Rate Limiting

EscenarioRespuesta
Dentro del límite200 OK + txHash
Rate limited429 Too Many Requests - esperar 60 segundos

Notas

  • Rate limit: 1 request por wallet cada 60 segundos
  • Cantidad fija: 1 USDC por request
  • Chain fija: arbitrum-sepolia
  • Solo desarrollo: No disponible en produccion
  • Los fondos llegan casi instantaneamente (~10-30 segundos)